




.font-select * {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

.font-select {
	font-size: 18px;
	width:100%!important; 
	position: relative;
	display: inline-block;
}

.font-select .fs-drop {
	position: absolute;
	top: 38px;
	left: 0;
	z-index: 999;
	background: #fff;
	color: #000;
	width: 100%;
	border: 1px solid #aaa;
	border-top: 0;
	box-shadow: 0 4px 5px rgba(0,0,0,.15);
	border-radius: 0 0 4px 4px;
}

.font-select > span {
border-radius: 4px; 
	outline: 0;
	display: block;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	padding: 3px 8px 3px 8px;
	color: #444;
	background: #fff;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
cursor: pointer;
    box-shadow: 0 3px 15px rgba(0, 0, 0, .05);
    border: 1px solid #ededed !important;
    height: 42px;
    line-height: 30px;
    font-size: 15px;
    font-weight: 400!important;
}

@media (max-width: 576px) {.font-select > span {height: 35px; line-height: 20px;padding: .5rem 0.5rem;font-size: 1rem;}}


.font-select-active > span {
border-bottom-left-radius : 0;
border-bottom-right-radius: 0;
background: #fff;
}



.font-select > span::after {
    content: '\f078';
    border: none;
    font-family: 'Font Awesome 5 Pro';
    font-size: 15px;
    font-weight: 300;
    height: 12px;
    line-height: 1;
    margin: 0;
    position: absolute;
    top: calc(50% - 6px);
    right: 0.75rem;
    bottom: 0;
    left: auto;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    width: 12px;
}


.font-select .fs-results {
	max-height: 190px;
	overflow-x: hidden;
	overflow-y: auto;
	margin: 0;
	padding: 0;
}

.font-select .fs-results li {
	line-height: 80%;
	padding: 8px;
	margin: 0;
	list-style: none;
	font-size: 20px;
}

.font-select .fs-results li.active {
	background-color: #3875d7;
	color: #fff;
	cursor: pointer;
}

.font-select .fs-search {
	border-bottom: 1px solid #aaa;
	padding: 4px;
}

.font-select .fs-search input {
	padding: 7px;
	width: 100%;
	border: 1px solid #aaa;
	font: 16px Helvetica, Sans-serif;
	box-shadow: inset 0 1px 3px rgba(0,0,0,.06);
	border-radius: .1875rem;
}
